Skip to main content
GET
/
trips
List trips
curl --request GET \
  --url https://app.unitedlogistics.com.do/api/v1/trips \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://app.unitedlogistics.com.do/api/v1/trips"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://app.unitedlogistics.com.do/api/v1/trips', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "data": [
    {
      "id": 482219,
      "external_id": 9876543,
      "provider": "karma",
      "org_id": "d87f7281-ea19-45cd-b6fd-d8eb9e310da1",
      "vehicle_external_id": 12345,
      "driver_external_id": 4421,
      "device_id": "GPS-DEV-001",
      "vehicle_number": "UL-021",
      "trip_active": 0,
      "start_message_id": 91827361,
      "start_date": "2026-05-26T08:32:00.000Z",
      "start_latitude": 18.4861,
      "start_longitude": -69.9312,
      "start_odometer_km": 124530.4,
      "stop_message_id": 91827881,
      "stop_date": "2026-05-26T10:14:00.000Z",
      "stop_latitude": 18.6792,
      "stop_longitude": -68.4014,
      "stop_odometer_km": 124612.8,
      "duration_s": 6120,
      "distance_km": 82.4,
      "duration_night_s": 0,
      "distance_night_km": 0,
      "max_speed_kph": 104.2,
      "driving_score": 87,
      "eco_score": 72.4,
      "fetch_timestamp": "2026-05-26T10:14:31.221Z",
      "created_at": "2026-05-26T10:14:31.221Z",
      "updated_at": "2026-05-26T10:14:31.221Z"
    }
  ],
  "pagination": {
    "next_cursor": "eyJzdGFydF9kYXRlIjoiMjAyNi0wNS0yNlQwODozMjowMC4wMDBaIiwiaWQiOjQ4MjIxOX0",
    "has_more": true
  }
}
{
  "error": {
    "code": "bad_request",
    "message": "Invalid trip payload.",
    "details": {
      "fieldErrors": {
        "start_date": [
          "start_date must be ISO 8601 datetime"
        ]
      }
    }
  }
}
{
  "error": {
    "code": "unauthorized",
    "message": "API key missing or invalid."
  }
}
{
  "error": {
    "code": "too_many_requests",
    "message": "Rate limit exceeded."
  }
}

Authorizations

Authorization
string
header
required

Authorization: Bearer ulk__. Cree la clave en Configuración → API.

Query Parameters

limit
string

Page size, 1-200. Defaults to 50.

Pattern: ^\d+$
cursor
string

Opaque cursor returned by a previous call's pagination.next_cursor.

vehicle_external_id
string

Filter by provider vehicle id.

Pattern: ^\d+$
start
string<date-time>

Return trips whose start_date is >= this ISO 8601 timestamp.

end
string<date-time>

Return trips whose start_date is <= this ISO 8601 timestamp.

Response

OK

data
object[]
required
pagination
object
required